- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines/updateCompletionConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines/updateCompletionConfig#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines/updateCompletionConfig#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines/updateCompletionConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines/updateCompletionConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines/updateCompletionConfig#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines/updateCompletionConfig#body.aspect_1)

Updates the `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig`s.

### HTTP request

Choose an endpoint:
global us   
`PATCH https://discoveryengine.googleapis.com/v1alpha/{completionConfig.name=projects/*/locations/*/collections/*/engines/*/completionConfig}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `completionConfig.name` | `string` Required. Immutable. Fully qualified name `projects/*/locations/*/dataStores/*/completionConfig` `projects/*/locations/*/collections/*/dataStores/*/completionConfig` `projects/*/locations/*/collections/*/engines/*/completionConfig` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Indicates which fields in the provided `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig` to update. The following are the only supported fields: - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.matching_order` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.max_suggestions` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.min_prefix_length` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.query_model` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.enable_mode` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.query_frequency_threshold` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.num_unique_users_threshold` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.should_serve_content_suggestions` - `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig#FIELDS.filter_pii_suggestions_using_dlp` If not set, all supported fields are updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/CompletionConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `discoveryengine.completionConfigs.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).